- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
pdftron::PDF::SVGConvertOptions Class Reference

`#include <SVGConvertOptions.h>`

## Public Member Functions
| SVGConvertOptions ()
| ~SVGConvertOptions ()
bool | GetConvertLinks ()
SVGConvertOptions & | SetConvertLinks (bool value)
UString | GetDefaultFontFamily ()
SVGConvertOptions & | SetDefaultFontFamily (const UString &value)
UString | GetFallbackFontFamily ()
SVGConvertOptions & | SetFallbackFontFamily (const UString &value)
double | GetFallbackHeight ()
SVGConvertOptions & | SetFallbackHeight (double value)
double | GetFallbackWidth ()
SVGConvertOptions & | SetFallbackWidth (double value)
bool | GetForceSRGB ()
SVGConvertOptions & | SetForceSRGB (bool value)
double | GetForcedHeight ()
SVGConvertOptions & | SetForcedHeight (double value)
double | GetForcedWidth ()
SVGConvertOptions & | SetForcedWidth (double value)
bool | GetHonorIccProfile ()
SVGConvertOptions & | SetHonorIccProfile (bool value)
bool | GetInline ()
SVGConvertOptions & | SetInline (bool value)
UString | GetLang ()
SVGConvertOptions & | SetLang (const UString &value)

## Detailed Description

Definition at line 9 of file SVGConvertOptions.h.

## Constructor & Destructor Documentation

pdftron::PDF::SVGConvertOptions::SVGConvertOptions | ( |  | ) |

pdftron::PDF::SVGConvertOptions::~SVGConvertOptions | ( |  | ) |

## Member Function Documentation

bool pdftron::PDF::SVGConvertOptions::GetConvertLinks | ( |  | ) |

Gets the value ConvertLinks from the options object Instructs the conversion process to generate interactive Link annotations from links in the SVG input file.

Returns
  a bool, the current value for ConvertLinks.

UString pdftron::PDF::SVGConvertOptions::GetDefaultFontFamily | ( |  | ) |

Gets the value DefaultFontFamily from the options object Name of the font family which is used if a font for some text in the graphics file is either not specified or not available. Default: Arial Unicode MS if available, otherwise Helvetica.

Returns
  a UString, the current value for DefaultFontFamily.

UString pdftron::PDF::SVGConvertOptions::GetFallbackFontFamily | ( |  | ) |

Gets the value FallbackFontFamily from the options object Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file. Default: empty.

Returns
  a UString, the current value for FallbackFontFamily.

double pdftron::PDF::SVGConvertOptions::GetFallbackHeight | ( |  | ) |

Gets the value FallbackHeight from the options object Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied. Height >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

Returns
  a double, the current value for FallbackHeight.

double pdftron::PDF::SVGConvertOptions::GetFallbackWidth | ( |  | ) |

Gets the value FallbackWidth from the options object Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied. Width >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

Returns
  a double, the current value for FallbackWidth.

double pdftron::PDF::SVGConvertOptions::GetForcedHeight | ( |  | ) |

Gets the value ForcedHeight from the options object The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: height attribute of the graphics.

Returns
  a double, the current value for ForcedHeight.

double pdftron::PDF::SVGConvertOptions::GetForcedWidth | ( |  | ) |

Gets the value ForcedWidth from the options object The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: width attribute of the graphics.

Returns
  a double, the current value for ForcedWidth.

bool pdftron::PDF::SVGConvertOptions::GetForceSRGB | ( |  | ) |

Gets the value ForceSRGB from the options object If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead. This option does not affect referenced images. Default: false.

Returns
  a bool, the current value for ForceSRGB.

bool pdftron::PDF::SVGConvertOptions::GetHonorIccProfile | ( |  | ) |

Gets the value HonorIccProfile from the options object If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors. Default: true.

Returns
  a bool, the current value for HonorIccProfile.

bool pdftron::PDF::SVGConvertOptions::GetInline | ( |  | ) |

Gets the value Inline from the options object If true, create output inline in the content stream; otherwise a separate Form XObject is created. The inline method suffers from disadvantages related to transparency handling. On the other hand, this option is required if active links in the graphics should be converted (option ConvertLinks). Default: true.

Returns
  a bool, the current value for Inline.

UString pdftron::PDF::SVGConvertOptions::GetLang | ( |  | ) |

Gets the value Lang from the options object Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g. in an SVG switch element. Default: the language identifier found in the LANG environment variable.

Returns
  a UString, the current value for Lang.

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetConvertLinks | ( | bool | value | ) |

Sets the value for ConvertLinks in the options object Instructs the conversion process to generate interactive Link annotations from links in the SVG input file.

Parameters

  value,: | the new value for ConvertLinks

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetDefaultFontFamily | ( | const UString & | value | ) |

Sets the value for DefaultFontFamily in the options object Name of the font family which is used if a font for some text in the graphics file is either not specified or not available. Default: Arial Unicode MS if available, otherwise Helvetica.

Parameters

  value,: | the new value for DefaultFontFamily

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetFallbackFontFamily | ( | const UString & | value | ) |

Sets the value for FallbackFontFamily in the options object Name of the font family which is used to create a fallback font for each font, in addition to the fallback fonts which may have been specified in the graphics file. Default: empty.

Parameters

  value,: | the new value for FallbackFontFamily

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetFallbackHeight | ( | double | value | ) |

Sets the value for FallbackHeight in the options object Affects only SVG graphics without absolute size; ignored if ForcedHeight is supplied. Height >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

Parameters

  value,: | the new value for FallbackHeight

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetFallbackWidth | ( | double | value | ) |

Sets the value for FallbackWidth in the options object Affects only SVG graphics without absolute size; ignored if ForcedWidth is supplied. Width >= 0 of the SVG graphics for the fitting process. If the value is zero the bounding box is calculated. Default: values in the SVG graphics if present, otherwise 0.

Parameters

  value,: | the new value for FallbackWidth

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetForcedHeight | ( | double | value | ) |

Sets the value for ForcedHeight in the options object The height of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: height attribute of the graphics.

Parameters

  value,: | the new value for ForcedHeight

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetForcedWidth | ( | double | value | ) |

Sets the value for ForcedWidth in the options object The width of the SVG graphics is ignored and the specified value is applied instead if a value >= 1 is supplied. Default: width attribute of the graphics.

Parameters

  value,: | the new value for ForcedWidth

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetForceSRGB | ( | bool | value | ) |

Sets the value for ForceSRGB in the options object If true, all non-sRGB color specifications are ignored and the sRGB fallback color is used instead. This option does not affect referenced images. Default: false.

Parameters

  value,: | the new value for ForceSRGB

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetHonorIccProfile | ( | bool | value | ) |

Sets the value for HonorIccProfile in the options object If true, honor all ICC profiles in icc-color specifications or implicitly in sRGB colors; otherwise all explicit ICC colors and implicit sRGB colors are interpreted as device-gray/device-rgb/device-cmyk colors. Default: true.

Parameters

  value,: | the new value for HonorIccProfile

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetInline | ( | bool | value | ) |

Sets the value for Inline in the options object If true, create output inline in the content stream; otherwise a separate Form XObject is created. The inline method suffers from disadvantages related to transparency handling. On the other hand, this option is required if active links in the graphics should be converted (option ConvertLinks). Default: true.

Parameters

  value,: | the new value for Inline

Returns
  this object, for call chaining

SVGConvertOptions& pdftron::PDF::SVGConvertOptions::SetLang | ( | const UString & | value | ) |

Sets the value for Lang in the options object Natural language for the graphics file as a BCP 47 language tag consisting of a two- or three-character language code according to ISO 639-1/2 which can be used e.g. in an SVG switch element. Default: the language identifier found in the LANG environment variable.

Parameters

  value,: | the new value for Lang

Returns
  this object, for call chaining

The documentation for this class was generated from the following file:

- PDF/SVGConvertOptions.h